import { __assign, __rest } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import YouzanIcon from './Youzan';
import CircleIcon from './Circle';
export default function Icon(_a) {
    var icon = _a.icon, rest = __rest(_a, ["icon"]);
    if (icon === 'youzan') {
        return _jsx(YouzanIcon, __assign({}, rest), void 0);
    }
    if (icon === 'circle') {
        return _jsx(CircleIcon, __assign({}, rest), void 0);
    }
    return null;
}
